Subject: [Emu] Fw: New Version Notification for draft-chen-emu-eap-tls-ibs-00.txt

From: "Meiling Chen" <[email-masked]>
Date: Tue, 21 Jul 2020 16:43:42 +0800

Hi all,
For the following reasons:
X509 Certificate management costs;
Certificate can be relatively large;
Certificate chains long, too many intermediate certificates;
Certificate-based authentication is not suitable for restricted environment, such as IoT devices;
This draft focus on Raw Public Key using in EAP-TLS, both TLS1.2 and TLS1.3, and complete the whole handshake process.
The draft is based on RFC 7250 and RFC 6507.
RFC 7250 specified using Raw Public key in TLS and DTLS with two extensions(client_certificate_type, server_certificate_type);
RFC 6507 specified an IBS algorithm with Elliptic curve cryptography called ECCSI;
welcome comments and in-dept discussion.

Meiling Chen,
Thanks.
 
From: internet-drafts
Date: 2020-05-12 16:38
To: Meiling Chen; HAIGUANG Wang; Haiguang Wang; Li Su; chenmeiling
Subject: New Version Notification for draft-chen-emu-eap-tls-ibs-00.txt
 
A new version of I-D, draft-chen-emu-eap-tls-ibs-00.txt
has been successfully submitted by Meiling Chen and posted to the
IETF repository.
 
Name: draft-chen-emu-eap-tls-ibs
Revision: 00
Title: Use Identity as Raw Public Key in EAP-TLS
Document date: 2020-05-12
Group: Individual Submission
Pages: 19
URL:            https://www.ietf.org/internet-drafts/draft-chen-emu-eap-tls-ibs-00.txt
Status:         https://datatracker.ietf.org/doc/draft-chen-emu-eap-tls-ibs/
Htmlized:       https://tools.ietf.org/html/draft-chen-emu-eap-tls-ibs-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-chen-emu-eap-tls-ibs

Abstract:
   This document specifies the use of identity as a raw public key in
   EAP-TLS and EAP-TLS13, EAP-TLS defined in RFC 5216.  The protocol
   procedures of EAP-TLS-IBS will comply with EAP-TLS and EAP-TLS13,
   Identity-based signature will be extended to support EAP-TLS's
   signature algorithms.

 
Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.
 
The IETF Secretariat